All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
roboptim::visualization Namespace Reference

Graphic visualization. More...

## Namespaces

| gnuplot
| Gnuplot rendering.

## Classes

class | Gnuplot
| Gnuplot script. More...

## Functions

double | normalize (const double &x)
| Normalize floating point number output. More...
Eigen::MatrixXd | normalize (const Eigen::MatrixXd &x)
| Apply normalize to each element of a matrix. More...
template<typename T >
T | normalize (const T &x)
| Apply normalize to each element of a container. More...
template<typename T >
Gnuplot & | operator<< (Gnuplot &gp, T t)
| Override operator<< to handle Gnuplot command insertion. More...
ROBOPTIM_DLLAPI std::ostream & | operator<< (std::ostream &, const Gnuplot &gp)
| Override operator<< to handle Gnuplot script display. More...

## Detailed Description

Graphic visualization.

Visualization related code. Only Gnuplot is supported currently.

## Function Documentation

std::ostream & roboptim::visualization::operator<< | ( | std::ostream & | o,
|  | const Gnuplot & | gp
| ) |  |

Override operator<< to handle Gnuplot script display.

Parameters

  o | output stream used for display
  gp | Gnuplot script to be displayed

Returns
  output stream

References roboptim::visualization::Gnuplot::print().